diff new.bash @ 71:dd21c8e13074

start coding on new config syntax
author carl
date Sat, 09 Jul 2005 19:24:41 -0700
parents
children 2b369f7db7bf
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/new.bash	Sat Jul 09 19:24:41 2005 -0700
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+############################
+## compile and run the new parser program
+##
+rm -f new.o context.o tokenizer.o
+g++ -c new.cpp context.cpp tokenizer.cpp
+if [ $? -ne 0 ]; then
+    echo "compiler errors"
+    exit
+fi
+g++ -o new new.o context.o tokenizer.o -pthread
+if [ $? -ne 0 ]; then
+    echo "linker errors"
+    exit
+fi